$file:cis.sol
begin
load_mesh mesh_inf=cis.msh
include file=cis.mater
include file=cis.doping
$
define_symbol symbol=%x1 value=0.5
define_symbol symbol=%x2 value=1.25
define_symbol symbol=%x3 value=1.75
$
light_power incident_power=1.e3 wavelength=0.55 profile=(0.0 1.0 0.001 0.001)

output sol_outf=cis.out

$ monitor of top Si surfaces
bias_output_near_point variable=potential near_xyz=(%x1  5.0 0.)
bias_output_near_point variable=potential near_xyz=(%x2 5.0 0.)
bias_output_near_point variable=potential near_xyz=(%x3 5.0 0.)

bias_output_near_point variable=potential near_xyz=(%x1  4.7 0.)
bias_output_spatial_integral variable=electron xrange=(0. 1.) yrange=(4. 5.)
bias_output_spatial_integral variable=hole xrange=(0. 1.) yrange=(4. 5.)
bias_output_spatial_integral variable=electron xrange=(1.5 2.) yrange=(4. 5.)
$
more_output space_charge=yes
$
start_loop symbol=%ii value_from=1 value_to=2

real_func symbol=%lit value_from=1.e-8 value_to=1

newton_par damping_step=5. max_iter=100 print_flag=3

equilibrium

newton_par damping_step=1. print_flag=3 var_tol=1.e-3
$
$scan2= set TX gate is off
scan var=voltage_2 value_to=-0.5 &&
  var2=time value2_to=1.e-6 
$scan3 turn on light
scan var=light value_to=%lit &&
  var2=time value2_to=2.e-6
$scan4 use 5 us to generate signal charge
scan var=time value_to=8.e-6

$scan5 Turn TX gate on 
scan var=voltage_2 value_to=5.0 &&
  var2=time value2_to=9.e-6
$scan6 use 5 us to transfer
scan var=time value_to=14.e-6
end_loop 
end
