$file:cis.sol
begin
load_mesh mesh_inf=cis.msh
include file=cis.mater
include file=cis.doping
$
define_symbol symbol=%x1 value=0.5
define_symbol symbol=%x2 value=1.25
define_symbol symbol=%x3 value=1.75
$
light_power incident_power=1.e3 wavelength=0.55 profile=(0.0 1.0 0.001 0.001)

output sol_outf=cis.out
bias_output_near_point variable=potential near_xyz=(%x1  5.0 0.)
bias_output_near_point variable=potential near_xyz=(%x2 5.0 0.)
bias_output_near_point variable=potential near_xyz=(%x3 5.0 0.)
$
more_output space_charge=yes
$
start_loop symbol=%ii value_from=1 value_to=2

real_func symbol=%lit value_from=1.e-8 value_to=1

newton_par damping_step=5. max_iter=100 print_flag=3

equilibrium

newton_par damping_step=1. print_flag=3 var_tol=1.e-3
$

$scan2
scan var=voltage_2 value_to=-0.1 &&
var2=voltage_3 value2_to=-0.1 &&
var3=voltage_4 value3_to=5 &&
var4=time value4_to=1.e-6 

$scan3
scan var=light value_to=%lit  &&
var2=time value2_to=2.e-6 

$scan4
$ use 10 us to collect signal charge
scan var=time value_to=12.e-6 

$scan5
$ turn off shutter
scan var=light value_to=0 &&
var2=time value2_to=13.e-6 

$scan6
$ reset briefly to clear up charge at FD
scan var=voltage_3 value_to=  0.5000E+01 && 
var2=time value2_to=14.e-6 

$scan7
$ takes 5 us to clean up
scan var=time value_to=19.e-6 

$scan8
$ turn reset MOSFET back to off
scan var=voltage_3 value_to=  0.1 &&
var2=time value2_to=20.e-6 

$scan9
$ wait a little until other transistors are ready
scan var=time value_to=25.e-6 

$scan10
$ transfer the charge by increasing voltage 
scan var=voltage_2 value_to=3 &&
var2=time value2_to=26.e-6 

$scan11
$ allow 5 us for the transfer to complete
scan var=time value_to=31.e-6 

$scan12
$ allow 5 us for the transfer to complete
scan var=voltage_2 value_to=0.1 &&
var2=time value2_to=32.e-6 

$scan13
$ allow 5 us for the transfer to complete

scan var=time value_to=35.e-6 

end_loop 
end
