begin
use_macrofile macro1=my.mac
3d_solution_method 3d_flow=yes
z_structure uniform_zseg_from=0. uniform_zseg_to=0.4 zplanes=5 zseg_num=1
z_structure uniform_zseg_from=0.4 uniform_zseg_to=0.7 zplanes=4 zseg_num=2
z_structure uniform_zseg_from=0.7 uniform_zseg_to=2.0 zplanes=5 zseg_num=3
load_mesh mesh_inf=CIS3D01.msh zseg_num=1
load_mesh mesh_inf=CIS3D02.msh zseg_num=2
load_mesh mesh_inf=CIS3D03.msh zseg_num=3
output sol_outf=CIS3D.out
$
begin_zmater  zseg_num=1
include  file=CIS3D01.mater
include  file=CIS3D01.doping
light_power light_dir=bottom wavelength=0.4 incident_power=5.0e4
end_zmater
begin_zmater  zseg_num=2
include  file=CIS3D02.mater
include  file=CIS3D02.doping
light_power light_dir=bottom wavelength=0.4 incident_power=5.0e4
end_zmater
begin_zmater  zseg_num=3
include  file=CIS3D03.mater
include  file=CIS3D03.doping
light_power light_dir=bottom wavelength=0.4 incident_power=5.0e4
end_zmater
$$
$bias_output_near_point variable=potential near_xyz=(1.0 5.0 0.1)
$bias_output_near_point variable=potential near_xyz=(2.0 5.2 0.1)
$bias_output_near_point variable=potential near_xyz=(2.55 5.2 0.1)
$bias_output_near_point variable=potential near_xyz=(3.0 5.2 0.1)
$bias_output_near_point variable=potential near_xyz=(3.7 5.2 0.1)
$bias_output_near_point variable=potential near_xyz=(4.25 5.2 0.1)
$$
bias_output_near_point variable=potential near_xyz=(0.3 5.0 0.2)
bias_output_near_point variable=potential near_xyz=(1.0 5.2 0.2)
bias_output_near_point variable=potential near_xyz=(1.55 5.2 0.2)
bias_output_near_point variable=potential near_xyz=(2.0 5.2 0.2)
bias_output_near_point variable=potential near_xyz=(2.7 5.2 0.2)
bias_output_near_point variable=potential near_xyz=(3.25 5.2 0.2)
$
more_output space_charge=yes
$$
$$
$$light_power light_dir=bottom wavelength=0.55 incident_power=5.0e4
$$      profile=(0.0 1.8 0.001 0.001)
$start_loop symbol=%ii value_from=1 value_to=2
$$real_func symbol=%lit value_from=1.e-10 value_to=1.e-2
$$real_func symbol=%lit value_from=5.e-4 value_to=1.e-3
$$real_func symbol=%lit value_from=2.5e-3 value_to=5.0e-3
$$real_func symbol=%lit value_from=1.75e-3 value_to=2.0e-2
$real_func symbol=%lit value_from=3.5e-2 value_to=5e-2
$$real_func symbol=%lit value_from=2.0e-2 value_to=1.5e-2
$$real_func symbol=%lit value_from=8.0e-3 value_to=5.0e-3
$$real_func symbol=%lit value_from=3.5e-2 value_to=5.e-2
$$real_func symbol=%lit value_from=1.e-3 value_to=1.e-2
$$real_func symbol=%lit value_from=1.e-3 value_to=5.e-2






$ FDTD source(s)
$------------------
fdtd_source component=Ez  &&
  center=(1.7 -0.14 1.0) size = (3.4 0.0 2.0)

$ FDTD settings
$-------------------
fdtd_model export_var=density wavel_range=[0.4,0.4] PML_thickness=1.0 &&
    boundary_type=[1,0,1] buffer_x=[0.0 0.0] buffer_y=[1.3 1.2] &&
    buffer_z=[0.0 0.0]  nb_wavel=1 cell_size=[0.02 0.02 0.02] &&
    auto_finish=no fixed_time=10000 &&
    num_zero_optgen_mater=5 &&
    4_zero_optgen_mater=[1 3 4 5 6] &&
    interface=CLFDTD use_gpu=yes parallel=no npe_para=6

fdtd_dispersion mater=1 &&
  autofit_singlepole=yes

fdtd_dispersion mater=2 &&
  autofit_singlepole=yes

fdtd_dispersion mater=3 &&
  autofit_singlepole=yes

fdtd_dispersion mater=4 &&
  autofit_singlepole=yes

fdtd_dispersion mater=5 &&
  autofit_singlepole=yes

$ Material dispersion for Alminium
$-----------------------------------
fdtd_dispersion mater=6 order=5 &&
  freq_convention=omega &&
  input_unit=SI &&
  epsinf=1.0 &&
  omega1=1.0000e+07 gamma1=7.1405e+13 delta_eps1=2.7088e+18 &&
  omega2=2.4612e+14 gamma2=5.0591e+14 delta_eps2=1.9410e+03 &&
  omega3=2.3457e+15 gamma3=4.7401e+14 delta_eps3=4.7065e+00 &&
  omega4=2.7468e+15 gamma4=2.0525e+15 delta_eps4=1.1396e+01 &&
  omega5=5.2764e+15 gamma5=5.1381e+15 delta_eps5=5.5813e-01



fdtd_output_structure &&
  variable=material_num &&
  resolution=(1.0 1.0 1.0) &&
  data_file=materID

fdtd_replace_FDTDgrid file=fdtd_grid_for_import.dat




$ Settings for QE
$===================

fdtd_define_region &&
    shape=box &&
    point_ll=(0.0 0.0 0.0) &&
    point_ur=(3.4 5.42 2.0) &&
    tag=box_QE
$
$ flux monitor for incident power
fdtd_fieldmonitor &&
   target_region_tag=box_QE &&
   simulation_space=emptyspace &&
   monitor_comp=Efields &&
   FFT=yes &&
   step_start=5000 &&
   resolution=(0.5 0.5 0.5) &&
   tag=QE_monitor_emptyspace
$
$ flux monitor for reflected power
fdtd_fieldmonitor &&
   target_region_tag=box_QE &&
   simulation_space=devicespace &&
   monitor_comp=Efields &&
   FFT=yes &&
   step_start=5000 &&
   resolution=(0.5 0.5 0.5) &&
   tag=QE_monitor_devicespace
$
$ post-processing QE data
$--------------------------
fdtd_data_analysis &&
   operation=QE &&
   operandA_tag = QE_monitor_devicespace &&
   operandB_tag = QE_monitor_emptyspace &&
   scale=1.4705882353e11 &&
   data_file=QE.txt









$$ Solve for equilibrium condition
newton_par damping_step=5. var_tol=1.e-9 res_tol=1.e-9 &&
  max_iter=100 opt_iter=15 stop_iter=50 print_flag=3 &&
  mf_cpu=4 mf_solver=3
$scanline=1
equilibrium
stop
$
$  Gate_TX-1; Gate_Reset-2; Drain_Reset-3
$
newton_par damping_step=3. res_tol=1.e-1 var_tol=1.e-1 &&
  max_iter=30 opt_iter=15 stop_iter=15 print_flag=3 &&
  change_variable=yes mf_cpu=4 mf_solver=3
$ scanline=2
scan var=voltage_3 value_to=5.0 &&
var2=time value2_to=1.e-6
$scanline=3
$scan var=light value_to=%lit &&
$var2=time value2_to=2.e-6
scan var=light value_to=2.5e-3 &&
var2=time value2_to=2.e-6
$scanline=4
$ use 10 us to collect signal charge
scan var=time value_to=13.e-6
$
$$scanline=5
$scan var=light value_to=0 &&
$var2=time value2_to=13.e-6
$
$scanline=5
$ reset briefly to clear up charge at FD
scan var=voltage_2 value_to=5.0 &&
var2=time value2_to=14.e-6
$scanline=6
$ takes 5 us to clean up
scan var=time value_to=19.e-6
$scanline=7
$ turn reset MOSFET back to off
scan var=voltage_2 value_to=0.0 &&
var2=time value2_to=21.e-6
$scanline=8
$ wait a little until other transistors are ready
scan var=time value_to=25.e-6
$scanline=9
$ transfer the charge by increasing voltage
scan var=voltage_1 value_to=3.0 &&
var2=time value2_to=26.e-6
$scanline=10
$ allow 5 us for the transfer to complete
scan var=time value_to=31.e-6
$scan11
$ set TX gate voltage back to zero
scan var=voltage_1 value_to=0. &&
var2=time value2_to=32.e-6
$scan12
$ allow reading time
scan var=time value_to=35.e-6
$end_loop
end