begin
use_macrofile macro1=my.mac
include file=zmesh.zst &&
  ignore1=load_mesh ignore2=output ignore3=export_3dgeo
load_mesh mesh_inf=sup.aps  suprem_import=yes suprem_cpl_import=no
output sol_outf=PIVnnc.out
$
more_bias_output variable=potential near_xyz=(1.0 0.0 -1.0)
more_bias_output variable=potential near_xyz=(0.35 1.1 -0.55)
more_bias_output variable=potential near_xyz=(0.15 1.1 -0.15)
more_bias_output variable=potential near_xyz=(0.85 1.1 -0.15)
more_bias_output variable=potential near_xyz=(1.4 1.1 -0.15)
more_bias_output variable=potential near_xyz=(1.9 1.1 -0.15)
$
$bias_output_near_point variable=potential near_xyz=(1.0 0.0 -1.0)
$bias_output_near_point variable=potential near_xyz=(0.35 1.1 -0.55)
$bias_output_near_point variable=potential near_xyz=(0.15 1.1 -0.15)
$bias_output_near_point variable=potential near_xyz=(0.85 1.1 -0.15)
$bias_output_near_point variable=potential near_xyz=(1.4 1.1 -0.15)
$bias_output_near_point variable=potential near_xyz=(1.9 1.1 -0.15)
$$
more_output space_charge=yes
$
suprem_to_apsys_material suprem_mater=3  apsys_mater=1
suprem_to_apsys_material suprem_mater=1  apsys_mater=2
suprem_to_apsys_material suprem_mater=2  apsys_mater=3
suprem_to_apsys_material suprem_mater=6  apsys_mater=4
suprem_to_apsys_material suprem_mater=7  apsys_mater=5
suprem_to_apsys_material suprem_mater=79  apsys_mater=6
suprem_to_apsys_material suprem_mater=4  apsys_mater=7
suprem_to_apsys_material suprem_mater=78  apsys_mater=8
$
$suprem_to_apsys_material suprem_mater=3  apsys_mater=1
$suprem_to_apsys_material suprem_mater=1  apsys_mater=2
$suprem_to_apsys_material suprem_mater=2  apsys_mater=3
$suprem_to_apsys_material suprem_mater=6  apsys_mater=4
$suprem_to_apsys_material suprem_mater=7  apsys_mater=5
$suprem_to_apsys_material suprem_mater=26  apsys_mater=6
$suprem_to_apsys_material suprem_mater=4  apsys_mater=7
$suprem_to_apsys_material suprem_mater=25  apsys_mater=8
$$
$suprem_to_apsys_material suprem_mater=3  apsys_mater=1
$suprem_to_apsys_material suprem_mater=1  apsys_mater=2
$suprem_to_apsys_material suprem_mater=2  apsys_mater=3
$suprem_to_apsys_material suprem_mater=6  apsys_mater=4
$suprem_to_apsys_material suprem_mater=7  apsys_mater=5
$suprem_to_apsys_material suprem_mater=144  apsys_mater=6
$suprem_to_apsys_material suprem_mater=4  apsys_mater=7
$suprem_to_apsys_material suprem_mater=143  apsys_mater=8
$$
begin_zmater zseg_num=1
suprem_property user_material_mapping = yes
material_label_define label=Si mater=   1
material_lib name=Si mater=   1
material_label_define label=SiO2 mater=   2
material_lib name=SiO2 mater=   2
material_label_define label=SiN mater=   3
material_lib name=SiN mater=   3
material_label_define label=Al mater=   4
material_lib name=Al mater=   4 &&
  var_symbol1=xlam  var1=  0.5500E+00
material_label_define label=Photores mater=   5
material_lib name=Photores mater=   5
material_label_define label=CFA mater=   6
material_lib name=Cfilter mater=   6
light_power light_dir=top wavelength=0.55 incident_power=5.0e4
impact_chynoweth elec_set1=(7.03e7 1.231e8 1) &&
  hole_set1=(1.582e8 2.036e8 1) elec_setnum=1 &&
  hole_setnum=1 mater=1
end_zmater
start_loop symbol=%zk value_from=2 value_to=30 step=1
begin_zmater  zseg_num=%zk
  suprem_property user_material_mapping = yes
  define_material mater=1
  define_material mater=2
  define_material mater=3
  define_material mater=4
  define_material mater=5
  define_material mater=6
  light_power light_dir=top wavelength=0.55 incident_power=5.0e4
  impact_chynoweth elec_set1=(7.03e7 1.231e8 1) &&
      hole_set1=(1.582e8 2.036e8 1) elec_setnum=1 &&
      hole_setnum=1 mater=1
  suprem_contact num=4 xrange=(0.1 1.9) side=lower touch_mater=1
  contact num=4
end_zmater
end_loop
begin_zmater  zseg_num=31
  suprem_property user_material_mapping = yes
  define_material mater=1
  define_material mater=2
  define_material mater=3
  define_material mater=4
  define_material mater=5
  define_material mater=6
  material_label_define label=Poly mater=   7
  material_lib name=Poly mater=   7
  light_power light_dir=top wavelength=0.55 incident_power=5.0e4
$  light_power light_dir=top wavelength=0.55 incident_power=5.0e4 &&
$      profile=(0.5 2.0 0.001 0.001)
  impact_chynoweth elec_set1=(7.03e7 1.231e8 1) &&
      hole_set1=(1.582e8 2.036e8 1) elec_setnum=1 &&
      hole_setnum=1 mater=1
  suprem_contact num=4 xrange=(0.1 1.9) side=lower touch_mater=1
  contact num=4
end_zmater
start_loop symbol=%zk value_from=32 value_to=34 step=1
begin_zmater  zseg_num=%zk
suprem_property user_material_mapping = yes
define_material mater=1
define_material mater=2
define_material mater=3
define_material mater=4
define_material mater=5
define_material mater=6
define_material mater=7
light_power light_dir=top wavelength=0.55 incident_power=5.0e4
$  light_power light_dir=top wavelength=0.55 incident_power=5.0e4 &&
$      profile=(0.5 2.0 0.001 0.001)
  impact_chynoweth elec_set1=(7.03e7 1.231e8 1) &&
      hole_set1=(1.582e8 2.036e8 1) elec_setnum=1 &&
      hole_setnum=1 mater=1
  suprem_contact num=4 xrange=(0.1 1.9) side=lower touch_mater=1
  contact num=4
end_zmater
end_loop
begin_zmater  zseg_num=35
  suprem_property user_material_mapping=yes
  define_material mater=1
  define_material mater=2
  define_material mater=3
  define_material mater=4
  define_material mater=5
  define_material mater=6
  define_material mater=7
  material_label_define label=tungsten mater=   8
  material_lib name=Tungsten mater=   8
  light_power light_dir=top wavelength=0.55 incident_power=5.0e4
$  light_power light_dir=top wavelength=0.55 incident_power=5.0e4 &&
$      profile=(0.6 2.0 0.001 0.001)
  impact_chynoweth elec_set1=(7.03e7 1.231e8 1) &&
      hole_set1=(1.582e8 2.036e8 1) elec_setnum=1 &&
      hole_setnum=1 mater=1
  suprem_contact num=4 xrange=(0.1 1.9) side=lower touch_mater=1
  contact num=4
end_zmater
start_loop symbol=%zk value_from=36 value_to=38 step=1
begin_zmater  zseg_num=%zk
  suprem_property user_material_mapping = yes
  define_material mater=1
  define_material mater=2
  define_material mater=3
  define_material mater=4
  define_material mater=5
  define_material mater=6
  define_material mater=7
  define_material mater=8
  light_power light_dir=top wavelength=0.55 incident_power=5.0e4
$  light_power light_dir=top wavelength=0.55 incident_power=5.0e4 &&
$      profile=(0.65 2.0 0.001 0.001)
  impact_chynoweth elec_set1=(7.03e7 1.231e8 1) &&
      hole_set1=(1.582e8 2.036e8 1) elec_setnum=1 &&
      hole_setnum=1 mater=1
  suprem_contact num=4 xrange=(0.1 1.9) side=lower touch_mater=1
  contact num=4
end_zmater
end_loop
start_loop symbol=%zk value_from=39 value_to=47 step=1
begin_zmater  zseg_num=%zk
  suprem_property user_material_mapping=yes
  define_material mater=1
  define_material mater=2
  define_material mater=3
  define_material mater=4
  define_material mater=5
  define_material mater=6
  define_material mater=7
  define_material mater=8
  light_power light_dir=top wavelength=0.55 incident_power=5.0e4
$  light_power light_dir=top wavelength=0.55 incident_power=5.0e4 &&
$      profile=(0.7 2.0 0.001 0.001)
  impact_chynoweth elec_set1=(7.03e7 1.231e8 1) &&
      hole_set1=(1.582e8 2.036e8 1) elec_setnum=1 &&
      hole_setnum=1 mater=1
  suprem_contact num=1 xrange=(0.2 0.65) yrange=(0.7 1.3) &&
      side=within touch_mater=4
  contact num=1
  suprem_contact num=4 xrange=(0.1 1.9) side=lower touch_mater=1
  contact num=4
end_zmater
end_loop
start_loop symbol=%zk value_from=48 value_to=50 step=1
begin_zmater  zseg_num=%zk
  suprem_property user_material_mapping = yes
  define_material mater=1
  define_material mater=2
  define_material mater=3
  define_material mater=4
  define_material mater=5
  define_material mater=7
  define_material mater=8
  light_power light_dir=top wavelength=0.55 incident_power=5.0e4
  impact_chynoweth elec_set1=(7.03e7 1.231e8 1) &&
      hole_set1=(1.582e8 2.036e8 1) elec_setnum=1 &&
      hole_setnum=1 mater=1
end_zmater
end_loop
start_loop symbol=%zk value_from=51 value_to=54 step=1
begin_zmater  zseg_num=%zk
  suprem_property user_material_mapping = yes
  define_material mater=1
  define_material mater=2
  define_material mater=3
  define_material mater=4
  define_material mater=5
  define_material mater=6
  define_material mater=7
  light_power light_dir=top wavelength=0.55 incident_power=5.0e4
  impact_chynoweth elec_set1=(7.03e7 1.231e8 1) &&
      hole_set1=(1.582e8 2.036e8 1) elec_setnum=1 &&
      hole_setnum=1 mater=1
end_zmater
end_loop
start_loop symbol=%zk value_from=55 value_to=61 step=1
begin_zmater  zseg_num=%zk
  suprem_property user_material_mapping = yes
  define_material mater=1
  define_material mater=2
  define_material mater=3
  define_material mater=4
  define_material mater=5
  define_material mater=6
  define_material mater=8
  light_power light_dir=top wavelength=0.55 incident_power=5.0e4
  impact_chynoweth elec_set1=(7.03e7 1.231e8 1) &&
      hole_set1=(1.582e8 2.036e8 1) elec_setnum=1 &&
      hole_setnum=1 mater=1
end_zmater
end_loop
start_loop symbol=%zk value_from=62 value_to=66 step=1
begin_zmater  zseg_num=%zk
  suprem_property user_material_mapping = yes
  define_material mater=1
  define_material mater=2
  define_material mater=3
  define_material mater=4
  define_material mater=5
  define_material mater=6
  define_material mater=7
  define_material mater=8
  light_power light_dir=top wavelength=0.55 incident_power=5.0e4
  impact_chynoweth elec_set1=(7.03e7 1.231e8 1) &&
      hole_set1=(1.582e8 2.036e8 1) elec_setnum=1 &&
      hole_setnum=1 mater=1
  suprem_contact num=2 xrange=(1.25 1.55) yrange=(0.7 1.3) &&
        side=within touch_mater=4
  contact num=2
  suprem_contact num=3 xrange=(1.85 2.0) yrange=(0.7 1.3) &&
        side=within touch_mater=4
  contact num=3
end_zmater
end_loop
$
$$light_power light_dir=top wavelength=0.55 incident_power=1.0e7
$
$$
$$---------------------------
$$ Setting for MEEP(FDTD)
$$---------------------------
$$ position and size of light source
$fdtd_source component=Ex  &&
$  center=(1.0 8.20 1.0) size = (2.0 0.0 2.0)
$fdtd_source component=Ex  &&
$  center=(1.0 8.0 1.0) size = (2.0 0.0 2.0)
fdtd_source component=Ex  &&
  center=(1.0 8.7 1.0) size = (2.0 0.0 2.0)
$fdtd_source component=Ex  &&
$  center=(1.0 7.65 1.0) size = (2.0 0.0 2.0)
$fdtd_source component=Ey  &&
$  center=(1.0 8.20 1.0) size = (2.0 0.0 2.0)
$fdtd_source component=Ez  &&
$  center=(1.0 8.20 1.0) size = (2.0 0.0 2.0)
$fdtd_source component=Ez  &&
$  center=(1.0 8.0 1.0) size = (2.0 0.0 2.0)
fdtd_source component=Ez  &&
  center=(1.0 8.7 1.0) size = (2.0 0.0 2.0)
$fdtd_source component=Ez  &&
$  center=(1.0 7.65 1.0) size = (2.0 0.0 2.0)
$fdtd_source component=Ex  &&
$  center=(1.0 8.0 1.0) size = (3.0 0.0 3.0)
$fdtd_source component=Ey  &&
$  center=(1.0 8.0 1.0) size = (3.0 0.0 3.0)
$fdtd_source component=Ez  &&
$  center=(1.0 8.0 1.0) size = (3.0 0.0 3.0)
$$
$import_fdtd_data
$$ FDTD settings
$$fdtd_model export_var=density wavel_range=[0.3,2.0]
$fdtd_model export_var=density wavel_range=[0.3,1.0] PML_thickness=0.2 &&
$    boundary_type=[1,0,1] buffer_x=[0.0 0.0] buffer_y=[0.25 0.5] &&
$    buffer_z=[0.0 0.0]  nb_wavel=20 cell_size=0.02 &&
$    adjust_xdim = 2.0 &&
$    iauto_dt_step=5000 iauto_dt2_step=500 auto_finish=yes  &&
$    auto_until_ratio=0.1 &&
$    watch_point1=[1.0, 5.75, 1.0] &&
$    watch_point2=[1.0, 0.5, 1.0] &&
$    interface=Ax
fdtd_model export_var=density wavel_range=[0.3,1.0] PML_thickness=0.2 &&
    boundary_type=[1,0,1] buffer_x=[0.0 0.0] buffer_y=[0.25 0.5] &&
    buffer_z=[0.0 0.0]  nb_wavel=20 cell_size=[0.02 0.02 0.02] &&
    adjust_xdim = 2.0 parallel=no npe_para=4 &&
    iauto_dt_step=5000 iauto_dt2_step=500 auto_finish=yes  &&
    auto_until_ratio=0.1 &&
    watch_point1=[1.0, 5.75, 1.0] &&
    watch_point2=[1.0, 0.5, 1.0] interface=CLFDTD use_gpu=yes
$fdtd_model export_var=density wavel_range=[0.3,1.3] PML_thickness=0.2 &&
$    boundary_type=[1,0,1] buffer_x=[0.0 0.0] buffer_y=[0.25 0.5] &&
$    buffer_z=[0.0 0.0]  nb_wavel=20 cell_size=0.015 &&
$    adjust_xdim = 2.0 &&
$    auto_dt=5000 auto_dt2=500 auto_finish=yes  &&
$    auto_until_ratio=0.1 &&
$    watch_point1=[1.0, 5.75, 1.0] &&
$    watch_point2=[1.0, 0.5, 1.0] &&
$    interface=MEEP
$$fdtd_model export_var=density wavel_range=[0.3,2.0] PML_thickness=0.2 &&
$$    boundary_type=[0,0,0] buffer_x=[0.2 0.2] buffer_y=[0.2 0.5] &&
$$    buffer_z=[0.2 0.2]  nb_wavel=40 cell_size=0.02 &&
$$    iauto_dt_step=10000 iauto_dt2_step=1000 auto_finish=yes  &&
$$    watch_point1=[1.0, 6.0, 1.0] parallel=no npe_para=4 &&
$$    interface=Ax hdf5out_field=yes hdf5tovtk=yes
$$
$$$ Material dispersion coefficients
$$$
$ material dispersion parameter for silicon
$fdtd_dispersion mater=1 order=2 epsinf=2.33019 &&
$  omega1=2.83138 gamma1=0.24013 delta_eps1=2.39085 &&
$  omega2=3.38094 gamma2=0.60544 delta_eps2=7.41185
$$
fdtd_dispersion mater=1 order=9 &&
freq_convention=frequency input_unit=MEEP &&
epsinf=2.04035796451 &&
omega1=2.7062678135 gamma1=0.0790945452272 delta_eps1=0.621089076055 &&
omega2=2.78981632422 gamma2=0.0699629831018 delta_eps2=0.738714027602 &&
omega3=2.88518971179 gamma3=0.0871514757114 delta_eps3=0.758047251619 &&
omega4=3.00700118394 gamma4=0.121783389832 delta_eps4=0.908307942556 &&
omega5=3.14059748256 gamma5=0.128444615161 delta_eps5=0.91840909799 &&
omega6=3.27735431341 gamma6=0.130032114231 delta_eps6=1.03948015509 &&
omega7=3.43834397056 gamma7=0.175384768328 delta_eps7=1.81197400746 &&
omega8=3.64220941471 gamma8=0.257470755411 delta_eps8=1.33831807319 &&
omega9=4.10325939911 gamma9=0.349042016522 delta_eps9=0.758536138211
$$
$$fdtd_dispersion mater=2 order=1 epsinf=1.0 &&
$$  delta_eps1=0. omega1=0. gamma1=0.
$$$
$$fdtd_dispersion mater=3 order=1 epsinf=1.0 &&
$$  delta_eps1=0. omega1=0. gamma1=0.
$$$
$$fdtd_dispersion mater=4 order=1 epsinf=1.0 &&
$$  delta_eps1=0. omega1=0. gamma1=0.
$$$
$$fdtd_dispersion mater=5 order=1 epsinf=1.0 &&
$$  delta_eps1=0. omega1=0. gamma1=0.
$$#############
$fdtd_dispersion mater=5 order=6 epsinf=2.1999 &&
$delta_eps1=4.4961 omega1=2.3850e-2 gamma1=2.8199 &&
$delta_eps2=1.1188e-16 omega2=1.9764 gamma2=4.0474 &&
$delta_eps3=6.9164e-2 omega3=2.7904 gamma3=5.6099e-1 &&
$delta_eps4=3.7142e-2 omega4=2.2909 gamma4=2.4918e-1 &&
$delta_eps5=2.0761e-1 omega5=1.2217 gamma5=3.7036e-1 &&
$delta_eps6=5.6455e-2 omega6=1.4928 gamma6=1.9723e-1
$$############
$fdtd_dispersion mater=5 import=yes &&
$freq_convention=frequency input_unit=MEEP &&
$   file=color_glass_Michel6order.dat
fdtd_dispersion mater=6 import=yes &&
freq_convention=omega input_unit=MEEP &&
   file=color_glass_p1.dat
$fdtd_dispersion mater=2 epsinf=2.1316 order=0
$fdtd_dispersion mater=3 epsinf=4.1209 order=0
$fdtd_dispersion mater=4 epsinf=2.0449 order=0
$fdtd_dispersion mater=5 epsinf=2.1609 order=0
$$real_index value=1.0 mater=2
$$real_index value=1.0 mater=3
$$real_index value=1.0 mater=4
$$real_index value=1.0 mater=5
$fdtd_dispersion mater=6 epsinf=1.20453 order=0
$$$ material dispersion parameter for aluminum
$fdtd_dispersion mater=6 order=2 &&
$  freq_convention=frequency input_unit=MEEP &&
$  epsinf=1.0 &&
$  omega1=1e-18 gamma1=0.08 delta_eps1=1.2e38 &&
$  omega2=1.28 gamma2=0.5 delta_eps2=17.0
fdtd_dispersion mater=4 order=5 &&
  freq_convention=omega &&
  input_unit=SI &&
  epsinf=1.0 &&
  omega1=1.0000e+07 gamma1=7.1405e+13 delta_eps1=2.7088e+18 &&
  omega2=2.4612e+14 gamma2=5.0591e+14 delta_eps2=1.9410e+03 &&
  omega3=2.3457e+15 gamma3=4.7401e+14 delta_eps3=4.7065e+00 &&
  omega4=2.7468e+15 gamma4=2.0525e+15 delta_eps4=1.1396e+01 &&
  omega5=5.2764e+15 gamma5=5.1381e+15 delta_eps5=5.5813e-01
$$
$$real_index value=1.0 mater=7
$$real_index value=1.0 mater=8
$fdtd_dispersion mater=7 epsinf=15.8253 order=0
$fdtd_dispersion mater=8 epsinf=9.0 order=0
$$
$$fdtd_dispersion mater=7 order=1 epsinf=1.0 &&
$$  delta_eps1=0. omega1=0. gamma1=0.
$$$
$$fdtd_dispersion mater=8 order=1 epsinf=1.0 &&
$$  delta_eps1=0. omega1=0. gamma1=0.
$$$
$$$$$$$$$$$
start_loop symbol=%ii value_from=1 value_to=2
$real_func symbol=%lit value_from=1.e-10 value_to=1.0e-2
$real_func symbol=%lit value_from=2.5e-3 value_to=6.e-3
real_func symbol=%lit value_from=8.e-3 value_to=1.25e-2
$real_func symbol=%lit value_from=3.e-2 value_to=6.e-2
$real_func symbol=%lit value_from=3.5e-2 value_to=5.e-2
$real_func symbol=%lit value_from=1.e-3 value_to=1.e-2
$real_func symbol=%lit value_from=1.e-3 value_to=5.e-2
$ Solve for equilibrium condition
newton_par damping_step=5. var_tol=1.e-9 res_tol=1.e-9 &&
  max_iter=100 opt_iter=15 stop_iter=50 print_flag=3 &&
  mf_cpu=4 mf_solver=3
$scanline=1
parallel_linear_solver
equilibrium
$stop
$
$  Gate_TX-1; Gate_Reset-2; Drain_Reset-3
$
newton_par damping_step=3. res_tol=1.e-1 var_tol=1.e-1 &&
  max_iter=30 opt_iter=15 stop_iter=15 print_flag=3 &&
  change_variable=yes mf_cpu=4 mf_solver=3
$ scanline=2
scan var=voltage_3 value_to=5.0 &&
var2=time value2_to=1.e-6
$scan var=voltage_3 value_to=3.0 &&
$var2=time value2_to=1.e-6
$scanline=3
$scan var=light value_to=5.e-1 &&
$var2=time value2_to=2.e-6
$scan var=light value_to=2.e-1 &&
$var2=time value2_to=2.e-6
$scan var=light value_to=1.e-1 &&
$var2=time value2_to=2.e-6
$scan var=light value_to=5.e-2 &&
$var2=time value2_to=2.e-6
$scan var=light value_to=2.5e-2 &&
$var2=time value2_to=2.e-6
$scan var=light value_to=1.e-2 &&
$var2=time value2_to=2.e-6
$scan var=light value_to=5.e-3 &&
$var2=time value2_to=2.e-6
$scan var=light value_to=2.5e-3 &&
$var2=time value2_to=2.e-6
$scan var=light value_to=1.e-3 &&
$var2=time value2_to=2.e-6
$scan var=light value_to=5.e-4 &&
$var2=time value2_to=2.e-6
$scan var=light value_to=2.5e-4 &&
$var2=time value2_to=2.e-6
$scan var=light value_to=1.e-4 &&
$var2=time value2_to=2.e-6
$scan var=light value_to=1.e-10 &&
$var2=time value2_to=2.e-6
scan var=light value_to=%lit &&
var2=time value2_to=2.e-6
$scanline=4
$ use 10 us to collect signal charge
scan var=time value_to=13.e-6
$
$$scanline=5
$scan var=light value_to=0 &&
$var2=time value2_to=13.e-6
$
$scanline=5
$ reset briefly to clear up charge at FD
scan var=voltage_2 value_to=5.0 &&
var2=time value2_to=14.e-6
$scan var=voltage_2 value_to=3.0 &&
$var2=time value2_to=14.e-6
$
$scanline=6
$ takes 5 us to clean up
scan var=time value_to=19.e-6
$scanline=7
$ turn reset MOSFET back to off
scan var=voltage_2 value_to=  0.0 &&
var2=time value2_to=21.e-6
$scanline=8
$ wait a little until other transistors are ready
scan var=time value_to=25.e-6
$scanline=9
$ transfer the charge by increasing voltage
scan var=voltage_1 value_to=3.0 &&
var2=time value2_to=26.e-6
$scanline=10
$ allow 5 us for the transfer to complete
scan var=time value_to=31.e-6
$scan11
$ set TX gate voltage back to zero
scan var=voltage_1 value_to=0. &&
var2=time value2_to=32.e-6
$scan12
$ allow reading time
scan var=time value_to=35.e-6
end_loop
end